### Hierarchy

- TableHeadCell
  - AITableHeadCell

## Index

### Inputs

- column

### Constructors

- constructor

### Properties

- _filterTitle
- _sortAscendingLabel
- _sortDescendingLabel
- column
- cssClass
- filterTitle
- i18n
- skeleton
- sort
- sortAscendingLabel
- sortDescendingLabel
- sortable
- theadAction
- ɵcmp
- ɵfac

### Methods

- getFilterTitle
- getSortAscendingLabel
- getSortDescendingLabel
- ngOnChanges
- onClick
- sortLabelMap

## Constructors

### constructor

- new AITableHeadCell(i18n: I18n): AITableHeadCell

- - Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:41

  #### Parameters

  - ##### i18n: I18n

  #### Returns AITableHeadCell

## Properties

### Protected _filterTitle

_filterTitle: Overridable

- Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:41

### Protected _sortAscendingLabel

_sortAscendingLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:40

### Protected _sortDescendingLabel

_sortDescendingLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:39

### column

@Input()
column: AITableHeaderItem

- Defined in packages/angular/src/table/head/table-head-cell.component.ts:91

### cssClass

@HostBinding({"hostPropertyName":"'class.iot--table-head-cell'"})
cssClass: boolean = true

- Defined in packages/angular/src/table/head/table-head-cell.component.ts:90

### filterTitle

filterTitle: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:33

### Protected i18n

i18n: I18n

- Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:27

### skeleton

skeleton: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:29

### sort

sort: EventEmitter<{}>

- Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:37

Notifies that the column should be sorted

### sortAscendingLabel

sortAscendingLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:32

### sortDescendingLabel

sortDescendingLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:31

### sortable

sortable: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:30

### theadAction

theadAction: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:38

### Static ɵcmp

ɵcmp: ɵɵComponentDefWithMeta<TableHeadCell, "[ibmTableHeadCell]", never, { column: "column"; filterTitle: "filterTitle"; skeleton: "skeleton"; sortAscendingLabel: "sortAscendingLabel"; sortDescendingLabel: "sortDescendingLabel"; sortable: "sortable" }, { sort: "sort" }, never, never>

- Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:50

### Static ɵfac

ɵfac: ɵɵFactoryDef<TableHeadCell, never>

- Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:49

## Methods

### getFilterTitle

- getFilterTitle(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:46

  #### Returns Observable<string>

### getSortAscendingLabel

- getSortAscendingLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:45

  #### Returns Observable<string>

### getSortDescendingLabel

- getSortDescendingLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:44

  #### Returns Observable<string>

### ngOnChanges

- ngOnChanges(): void

- - Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:43

  #### Returns void

### onClick

- onClick(): void

- - Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:47

  #### Returns void

### Protected sortLabelMap

- sortLabelMap(): OperatorFunction<string, string>

- - Defined in node_modules/carbon-components-angular/table/head/table-head-cell.component.d.ts:48

  #### Returns OperatorFunction<string, string>

Generated using TypeDoc